%{H_TEMPLATE}
#ifndef TDEV%{APPNAMEUC}_H
#define TDEV%{APPNAMEUC}_H

#include <kdevplugin.h>

#include <tqguardedptr.h>

class TQPopupMenu;
class TDEAction;
class KDialogBase;
class Context;
class ConfigWidgetProxy;
class %{APPNAME}Widget;

/**
Please read the README.dox file for more info about this part
*/
class %{APPNAME}Part: public KDevPlugin
{
    TQ_OBJECT
  
public:
    %{APPNAME}Part(TQObject *parent, const char *name, const TQStringList &args);
    ~%{APPNAME}Part();
  
private slots:
    void init();
    
    void insertConfigWidget(const KDialogBase *dlg, TQWidget *page, unsigned int pageNo);
    void contextMenu(TQPopupMenu *popup, const Context *context);
    void projectOpened();
    void projectClosed();
    
    void doSomething();

private:
    void setupActions();
    
    TDEAction *action;
    
    TQGuardedPtr<%{APPNAME}Widget> m_widget;
    ConfigWidgetProxy *m_configProxy;
};

#endif
